mobile_image_mounter_client_t
mobile_image_mounter_error_t
mobile_image_mounter_free
mobile_image_mounter_hangup
mobile_image_mounter_lookup_image
mobile_image_mounter_mount_image
mobile_image_mounter_mount_image_with_options
mobile_image_mounter_new
mobile_image_mounter_query_developer_mode_status
mobile_image_mounter_query_nonce
mobile_image_mounter_query_personalization_identifiers
mobile_image_mounter_query_personalization_manifest
mobile_image_mounter_roll_cryptex_nonce
mobile_image_mounter_roll_personalization_nonce
MOBILE_IMAGE_MOUNTER_SERVICE_NAME
mobile_image_mounter_start_service
mobile_image_mounter_unmount_image
mobile_image_mounter_upload_cb_t
mobile_image_mounter_upload_image

## mobile_image_mounter_query_nonce()

LIBIMOBILEDEVICE_API mobile_image_mounter_error_t mobile_image_mounter_query_nonce | ( | mobile_image_mounter_client_t | client,
|  | const char * | image_type,
|  | unsigned char ** | nonce,
|  | unsigned int * | nonce_size )

Query a personalization nonce for the given image type, used for personalized disk images (iOS 17+).

This nonce is supposed to be added to the TSS request for the corresponding image.

Parameters

  client | The connected mobile_image_mounter client.
  image_type | The image_type to get the personalization nonce for, usually DeveloperDiskImage.
  nonce | Pointer that will be set to an allocated buffer with the nonce value.
  nonce_size | Pointer to an unsigned int that will receive the size of the nonce value.

Returns
  MOBILE_IMAGE_MOUNTER_E_SUCCESS on success, or a MOBILE_IMAGE_MOUNTER_E_* error code on error.